> For the complete documentation index, see [llms.txt](https://docs.verifyme.ng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifyme.ng/employment-verification/get-employment-history-verification-by-id.md).

# Get Employment History Verification By ID

## Get Employment History Verification By ID&#x20;

<mark style="color:blue;">`GET`</mark> `https://vapi.verifyme.ng/v1/verifications/employments/:id`

This endpoint allows you to fetch specific employment verifications

#### Path Parameters

| Name | Type   | Description                         |
| ---- | ------ | ----------------------------------- |
| id   | string | Employment History Verification ID. |

#### Headers

| Name           | Type   | Description         |
| -------------- | ------ | ------------------- |
| Authentication | string | Authorization Token |

{% tabs %}
{% tab title="200 Address response " %}

```
{
  "status":"success",
  "data": {
  {
        "id": 1,
        "employerName": "verifyme",
        "employerPhone": "08128730170",
        "employerEmail": "hr@verifyme.ng",
        "startDate": "5/6/2020",
        "endDate": "10/12/2020",
        "title": "plumber",
        "employeeStartDate": "2011-01-1",
        "rehire": true,
        "employerRespondedAt": "Mon Dec 28 2020 20:22:04 GMT+0000 (Coordinated Universal Time)",
        "applicant": {
            "firstname": "John",
            "lastname": "Doe",
            "middlename": " ",
            "phone": "+2348123456789",
            "gender": "Male",
            "photo": "<base64 image>"
        },
        "status": {
            "status": "VERIFIED",
            "subStatus": "VERIFIED",
            "state": "COMPLETE"
        },
        "industry": "domestic",
        "comment": "good guy",
        "verifiedPoc": false,
        "companyName": "verifyme",
        "employmentType": "Full-Time",
        "supervisorName": "john",
        "supervisorTitle": "plumber",
        "jobBenefits": "Health Insurance,Severance Package,Paid Time Off,Transport Allowance,Housing Allowance,Training, Certification and Professional Membership Dues,Parental Leave,Stock Options,others",
        "currentlyEmployed": true,
        "employerConsented": true,
        "attestatorName": "kola",
        "attestatorTitle": "HR manager",
        "attestatorContact": "kola@verifyme.ng",
        "companyAddress": "170 muritala mohammed way",
        "compensationRate": "Monthly",
        "salaryRange": "101,000 - 3000,000",
        "supervisorEmail": "john@gmail.com",
        "supervisorPhone": "+2348128730170",
        "employeeCurrentlyEmployed": false
    }
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```
{
    "status": "error",
    "message": "string",
    "code": "ACCESS_DENIED"
}
```

{% endtab %}

{% tab title="404 Guarantor Not foud" %}

```
{
    "status": "error",
    "message": "Not Found",
    "code": "NOT_FOUND_ERROR"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```
curl --verbose  --header "Authorization: Bearer <token>" 
--request "GET" "https://vapi.verifyme.ng/v1/verifications/employment/<id>"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifyme.ng/employment-verification/get-employment-history-verification-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
